apply plugin: 'com.android.library'

android {
    compileSdk libs.versions.compileSdk.get().toInteger()
    defaultConfig {
        minSdk libs.versions.minSdk.get().toInteger()
        consumerProguardFiles 'proguard-rules.pro'
        externalNativeBuild {
            cmake {
                abiFilters "armeabi-v7a"
                abiFilters "arm64-v8a"
            }
        }
    }
    externalNativeBuild {
        cmake {
            path "src/main/cpp/CMakeLists.txt"
            version libs.versions.cmake
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_17
        targetCompatibility JavaVersion.VERSION_17
    }
    buildTypes {
        debug {
            minifyEnabled false
        }
        release {
            minifyEnabled false
        }
    }
}
